Bug 502582 - CVE-2009-1194 pango: pango_glyph_string_set_size integer overflow
CVE-2009-1194 pango: pango_glyph_string_set_size integer overflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2009-1194
  Show dependency treegraph
 
Reported: 2009-05-26 05:28 EDT by Tomas Hoger
Modified: 2009-12-03 16:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 16:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-05-26 05:28:32 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in all affected branches.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

	bug #496887: CVE-2009-1194 pango: pango_glyph_string_set_size integer overflow

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available and only close this bug once all affected Fedora versions are fixed.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=496887
Comment 1 Tomas Hoger 2009-05-26 05:29:34 EDT
F11 / F12 are already updated to fixed upstream version (1.24+), F9 and F10 are affected.
Comment 2 zouxiaogang 2009-05-29 23:03:12 EDT
that F9 and F10 are updated,what time? 
pango-1.22.3-1.fc10.i386   (now)
Comment 3 Bug Zapper 2009-06-09 12:34:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vincent Danen 2009-12-03 16:07:56 EST
This is fixed in Fedora 11 and 12, but is still unfixed in Fedora 10.  Closing it; I doubt we'll see a fix for Fedora 10 at this point.

Note You need to log in before you can comment on or make changes to this bug.